=== debian/changelog ===
libsdl2 (2.0.0+dfsg1-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports. (Closes: #722967)

 -- Felix Geyer <fgeyer@debian.org>  Thu, 19 Sep 2013 22:36:38 +0200

libsdl2 (2.0.0+dfsg1-2) unstable; urgency=low

  * Remove external_header_paths.diff, it's not needed anymore and pulls
    harmful flags into the pkg-config file. Thanks to Thibaut Girka for
    the report and analysis. (Closes: #720650)

 -- Felix Geyer <fgeyer@debian.org>  Fri, 30 Aug 2013 20:20:47 +0200

libsdl2 (2.0.0+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Filter upstream tarball from binaries and unneeded cruft
    - Remove from debian/copyright files that are now filtered out when creating
      the orig.tar
  * Add build-dependency on libdbus-1-dev, to use D-Bus
  * Switch to @debian.org address
  * Bring the man page of sdl-config up to date

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 12 Aug 2013 20:45:31 +0100

libsdl2 (2.0.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Filter debian/* when importing new upstream releases.
  * Bump SHLIBVER to 2.0.0~rc1.
  * Update debian/docs.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Disable directfb backend for now as it's broken and upstream
    disables it by default.
    - Drop the udeb package.
  * Drop some unused dependencies and confflags.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 02 Jun 2013 18:31:42 +0200

libsdl2 (2.0.0~20130103-1) unstable; urgency=low

  [ Manuel A. Fernandez Montecelo ]
  * debian/control:
    - Updating maintainers/permissions:
      - Add myself and Felix Geyer
    - Update Build-Depends:
      - Remove a few obsolete items
      - Add items added lately to libsdl1.2, such as libts (touch screen)
        support
    - Add "libsdl2-dbg", analog to libsdl1.2-dbg
    - Change "XC-Package-Type: udeb" to "Package-Type"
  * debian/compat: set level 9
  * debian/source/format: Set to "3.0 (quilt)"
    - Remove README.source, not needed with new format
  * debian/sdl2-config.1: Fix typo, "progams"->"programs"
  * debian/libsdl2-dev.install:
    - Remove "usr/lib/*/*.la", discouraged
    - Add man pages: "usr/share/man/man3/*"
  * debian/libsdl2-dev.manpages: add file to install local "sdl2-config.1"
  * debian/sources: Removed, possible obsolete file from long ago?
  * debian/copyright:
    - Upstream updated to zlib/libpng
    - Copyright-file format conversion to 1.0
    - Complete revamp and detailed research about copyright and licenses used,
      it's very messy but hopefully complete

  [ Felix Geyer ]
  * Simplify debian/rules by using dh(1).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 27 Jan 2013 16:40:49 +0100

libsdl2 (2.0~20120220c-1) experimental; urgency=low

  * Upstream version was renamed to 2.0 (Closes: #669367).
  * New upstream snapshot (Closes: #671506).
  * This package no longer conflicts with libsdl-1.2.
  * debian/rules: add multiarch support (Closes: #669364).

  * debian/patches/fix_joystick_misc_axes.diff: fix a joystick remapping
    bug causing some axes to malfunction.
  * debian/patches/external_header_paths.diff: provide additional CFLAGS
    so that headers such as SDL_syswm.h can be included (Closes: #669363).

 -- Sam Hocevar <sho@debian.org>  Thu, 17 May 2012 19:03:59 +0200

libsdl-1.3 (1.3.0~20111204-1) experimental; urgency=low

  * Initial upload from upstream snapshot.

 -- Sam Hocevar <sho@debian.org>  Sun, 04 Dec 2011 14:35:05 +0100
