=== debian/control ===
Source: libsdl2
Priority: optional
Section: libs
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>,
           Sam Hocevar <sho@debian.org>,
           Manuel A. Fernandez Montecelo <mafm@debian.org>,
           Felix Geyer <fgeyer@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               libasound2-dev [linux-any],
               libdbus-1-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libpulse-dev,
               libts-dev [linux-any],
               libudev-dev [linux-any],
               libusb2-dev [kfreebsd-any],
               libusbhid-dev [kfreebsd-any],
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxrandr-dev,
               libxss-dev,
               libxt-dev,
               libxv-dev,
               libxxf86vm-dev
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2.git
Homepage: http://www.libsdl.org/

Package: libsdl2-2.0-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Conflicts: libsdl-1.3-0
Replaces: libsdl-1.3-0
Description: Simple DirectMedia Layer
 SDL is a library that allows programs portable low level access to
 a video framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11, caca and DirectFB graphics
 drivers and OSS, ALSA, NAS and PulseAudio sound drivers.

Package: libsdl2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsdl2-2.0-0 (= ${binary:Version}),
         libasound2-dev [linux-any],
         libgl1-mesa-dev,
         libglu1-mesa-dev,
         libpulse-dev,
         libts-dev [linux-any],
         libudev-dev [linux-any],
         libusb2-dev [kfreebsd-any],
         libusbhid-dev [kfreebsd-any],
         libx11-dev,
         libxcursor-dev,
         libxext-dev,
         libxi-dev,
         libxinerama-dev,
         libxrandr-dev,
         libxss-dev,
         libxt-dev,
         libxv-dev,
         libxxf86vm-dev
Conflicts: libsdl-1.3-dev
Replaces: libsdl-1.3-dev
Description: Simple DirectMedia Layer development files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the files needed to compile and link programs which
 use SDL.

Package: libsdl2-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends: ${misc:Depends},
         libsdl2-2.0-0 (= ${binary:Version}),
Description: Simple DirectMedia Layer debug files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the debug symbols for the SDL library.
