## libsdl2 2.0.2%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,40 @@
 Source: libsdl2
 Priority: optional
 Section: libs
-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bdefreese@debian.org>,
            Sam Hocevar <sho@debian.org>,
            Manuel A. Fernandez Montecelo <mafm@debian.org>,
            Felix Geyer <fgeyer@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
-               dpkg-dev (>= 1.16.1~),
+               dh-autoreconf,
                libasound2-dev [linux-any],
                libdbus-1-dev,
+               libegl1-mesa-dev [!hurd-any],
                libgl1-mesa-dev,
+               libgles2-mesa-dev [!hurd-any],
                libglu1-mesa-dev,
+               libmirclient-dev [i386 amd64 armhf],
                libpulse-dev,
                libts-dev [linux-any],
                libudev-dev [linux-any],
                libusb2-dev [kfreebsd-any],
                libusbhid-dev [kfreebsd-any],
+               libwayland-dev [linux-any],
                libx11-dev,
                libxcursor-dev,
                libxext-dev,
                libxi-dev,
                libxinerama-dev,
+               libxkbcommon-dev,
                libxrandr-dev,
                libxss-dev,
                libxt-dev,
                libxv-dev,
-               libxxf86vm-dev
+               libxxf86vm-dev,
+               pkg-config
 Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2.git
 Homepage: http://www.libsdl.org/
@@ -35,7 +42,7 @@
 Package: libsdl2-2.0-0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libwayland-egl1, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Conflicts: libsdl-1.3-0
 Replaces: libsdl-1.3-0
@@ -52,18 +59,24 @@
 Depends: ${misc:Depends},
          libsdl2-2.0-0 (= ${binary:Version}),
          libasound2-dev [linux-any],
+         libdbus-1-dev,
+         libegl1-mesa-dev [!hurd-any],
          libgl1-mesa-dev,
+         libgles2-mesa-dev [!hurd-any],
          libglu1-mesa-dev,
+         libmirclient-dev [i386 amd64 armhf],
          libpulse-dev,
          libts-dev [linux-any],
          libudev-dev [linux-any],
          libusb2-dev [kfreebsd-any],
          libusbhid-dev [kfreebsd-any],
+         libwayland-dev [linux-any],
          libx11-dev,
          libxcursor-dev,
          libxext-dev,
          libxi-dev,
          libxinerama-dev,
+         libxkbcommon-dev,
          libxrandr-dev,
          libxss-dev,
          libxt-dev,
