=== debian/changelog ===
libsdl2 (2.0.2+dfsg1-3ubuntu1) trusty; urgency=medium

  * Enable Mir video support (LP: #1295389).

 -- Brandon Schaefer <brandon.schaefer@canonical.com>  Thu, 10 Apr 2014 01:15:21 +0100

libsdl2 (2.0.2+dfsg1-3) unstable; urgency=medium

  * Actually change Build-Depends libegl1-mesa-dev to be conditionally
    [!hurd-any].  It was applied to libgl1-mesa-dev by mistake in -2.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 19 Mar 2014 20:22:29 +0000

libsdl2 (2.0.2+dfsg1-2) unstable; urgency=medium

  * Conditional dependencies libegl1-mesa-dev [!hurd-any],
    libgles2-mesa-dev [!hurd-any] and libwayland-dev [linux-any], they do
    not seem to support these kernels at the moment

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 18 Mar 2014 20:17:10 +0000

libsdl2 (2.0.2+dfsg1-1) unstable; urgency=low

  * New upstream release
    - Remove patch applied upstream: fix_ftbfs_kfreebsd.diff
    - Add support for Wayland, including build-depends for libegl1-mesa-dev,
      libxkbcommon-dev and libwayland-dev.  Thanks Franz Schrober for the
      request and the help to enable it.  (Closes: #714482)
    - Add support for OpenGLES, including build-depends for libgles2-mesa-dev

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 15 Mar 2014 00:22:48 +0000

libsdl2 (2.0.1+dfsg1-3) unstable; urgency=medium

  * Use "dh_autoreconf" to support new architectures

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 09 Mar 2014 01:58:11 +0000

libsdl2 (2.0.1+dfsg1-2) unstable; urgency=medium

  * Fix FTBFS on kFreeBSD.
    - Add fix_ftbfs_kfreebsd.diff to extend a __FreeBSD__ check to
      __FreeBSD_kernel__.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 05 Jan 2014 13:42:59 +0100

libsdl2 (2.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #728974)
    - Remove patch applied upstream:
      bug-723797-false_positives_in_mouse_wheel_code.patch
  * Bump Standards-Version to 3.9.5, no changes needed.
  
  [ Felix Geyer ]
  * Import upstream gpg key for uscan to verify the orig tarball.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 28 Dec 2013 12:31:19 +0000

libsdl2 (2.0.0+dfsg1-3) unstable; urgency=low

  * Build-Depends on pkg-config
  * Apply patch accepted upstream to work around a false-positive in the
    X11 mouse wheel code (Closes: #723797).  Thanks Darren Salt for the
    report and the fix.
  * Review and removal of old patches not applied in SDL2, virtually of
    them applied upstream, or rejected as invalid for good reason, or
    don't apply any more (code/functionality removed upstream).  I
    forwarded and documented the remaining patches.
    - 001_autogen_autotools_fix.diff
    - 020_libcaca_new_api.diff
    - 030_pulseaudio_enable.diff
    - 040_propagate_pic_to_nasm.diff
    - 050_altivec_detection.diff
    - 060_disable_ipod.diff
    - 205_lock_keys.diff
    - 205_x11_keysym_fix.diff
    - 206_gcc4_compilation_fix.diff
    - 209_alsa_priority.diff
    - 214_missing_mmx_blit.diff
    - 215_kfreebsd_gnu.diff
    - 216_page_size.diff
    - 217_x11_keytounicode.diff
    - 218_double_free.diff
    - 218_joystick_memmove.diff
    - 219_pulseaudio_crackles.diff
    - 220_std_cld.diff
    - 221_check_SDL_NOKBD_environment_variable.diff
    - 222_joystick_crash.diff
    - 310_fixmouseclicks
    - 310_segfault_noGLX.diff
    - 320_activate_xrandr_on_default.diff
    - 320_disappearingcursor.diff

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 20 Oct 2013 00:58:48 +0100
