=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 Package: libsdl2-2.0-0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libwayland-egl1, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Conflicts: libsdl-1.3-0
 Replaces: libsdl-1.3-0
