=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+$//,pgpsigurlmangle=s/$/.sig/ \
  http://www.libsdl.org/release/SDL2-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)
